;Filename: UrtRdb.s
;Part    : ADuC703x.
;Created : 14/04/2006
;Author  : Patrick Noonan (Analog Device Inc.)
;This file is in beta sampling.

;This software is supplied subject our standard software license agreement.
;A non-binding summary is as follows:
;"You may use the software in your own code at your own risk.
;" ADI inc disclaims any warranty or liability of its use".
;The full standard software license agreement is available on request and
; remains the binding agreement.

#include        <ADuC7030.inc>

; UrtRdb==========Reads the UART data register.
; C Function prototype: unsigned char UrtRdb(void);
; Description of Function: Reads the received UART data.
; User interface:
;   Call UrtRdb.
;   Returns COMRX:
; Robustness:
;   Reads whatever character arrived last. 
; Side effects: Corrupts r3.

                RSEG CODE
                MODULE UrtRdb
                PUBLIC UrtRdb
                CODE32

UrtRdb:
        mov     r3,#0xff0000            ;r3 = Z_BASE;
        orr     r3,r3,#0xff000000
        ldr     r0,[r3,#Z_COMRX]        ;Get COMRX.
        bx      lr

                 ENDMOD  UrtRdb

                 END
        
